# beforeProject

abstract fun beforeProject(closure: Closure)

Adds a closure to be called immediately before a project is evaluated. The project is passed to the closure as a parameter.

#### Parameters

closure

The closure to execute.

abstract fun beforeProject(action: Action<in Project>)

Adds an action to be called immediately before a project is evaluated.

#### Since

3.4

#### Parameters

action

The action to execute.